# Packages needed from main tar.xz

#clinfo-amdgpu-pro-20.40-1147286.el8.x86_64.rpm
#libdrm-amdgpu-2.4.100-1147286.el8.x86_64.rpm
#libdrm-amdgpu-common-1.0.0-1147286.el8.noarch.rpm
#libegl-amdgpu-pro-20.40-1147286.el8.x86_64.rpm
#libgl-amdgpu-pro-20.40-1147286.el8.x86_64.rpm
#libgl-amdgpu-pro-dri-20.40-1147286.el8.x86_64.rpm
#libglapi-amdgpu-pro-20.40-1147286.el8.x86_64.rpm
#libgles-amdgpu-pro-20.40-1147286.el8.x86_64.rpm
#ocl-icd-amdgpu-pro-20.40-1147286.el8.x86_64.rpm
#opencl-amdgpu-pro-icd-20.40-1147286.el8.x86_64.rpm
#opencl-orca-amdgpu-pro-icd-20.40-1147286.el8.x86_64.rpm

Name:           opencl-amd
Version:        20.40.1147286
Release:        %mkrel 2
Summary:        OpenCL userspace driver as provided in the amdgpu-pro driver stack. 
Group:          System/Libraries
License:        Commercial
URL:            http://www.amd.com
Source0:        opencl-amd.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       lib64opencl1
Conflicts:      mesa-opencl

%description
OpenCL userspace driver as provided in the amdgpu-pro driver stack.
This package is intended to work along with the xorg amdgpu driver.


%prep


%build


%install
rm -rf %buildroot
mkdir -p %buildroot

tar xf %SOURCE0 -C %buildroot


%files
%defattr(-,root,root-)
/etc/OpenCL/vendors/amdocl-orca64.icd
/etc/OpenCL/vendors/amdocl64.icd
/etc/amd/amdrc
/lib/udev/rules.d/91-amdgpu-pro-modeset.rules
/usr/bin/clinfo
/usr/lib64/dri/amdgpu_dri.so
/usr/lib64/libamdocl-orca64.so
/usr/lib64/libamdocl12cl64.so
/usr/lib64/libamdocl64.so
/usr/lib64/libglapi.so.1

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Sun May 09 2021 tex - 20.40.1147286-2pclos2021
- add more packages

* Fri Apr 23 2021 tex - 20.40.1147286-1pclos2021
- create package for pclos
